<template>
    <div class="wrapper">
        <van-overlay :show="show">
            <div class="wrapper" @click="showClose()">
                <div class="block" />
            </div>
        </van-overlay>
    </div>
</template>

<script>
export default {
   components: {},
   props: {
       show:{
           type:Boolean,
           default:false
       }
   },
   data() {
       return {
       };
   },
   watch: {},
   computed: {},
   methods: {
       showClose(){
           this.$emit('showClose',false)
       }
   },
   created() {},
   mounted() {}
};
</script>
<style scoped>
 .wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
  }

  .block {
    width: 120px;
    height: 120px;
    background-color: #fff;
  }
</style>